Bug 1127172 - [abrt] uget: ug_download_list_load(): uget-gtk killed by SIGSEGV
Summary: [abrt] uget: ug_download_list_load(): uget-gtk killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: uget
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a3c6eb98aec4247c1b6b70eda2b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 10:26 UTC by Tommy He
Modified: 2015-06-29 21:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:57:11 UTC


Attachments (Terms of Use)
File: backtrace (12.82 KB, text/plain)
2014-08-06 10:26 UTC, Tommy He
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-06 10:26 UTC, Tommy He
no flags Details
File: core_backtrace (3.29 KB, text/plain)
2014-08-06 10:26 UTC, Tommy He
no flags Details
File: dso_list (12.52 KB, text/plain)
2014-08-06 10:26 UTC, Tommy He
no flags Details
File: environ (1.80 KB, text/plain)
2014-08-06 10:26 UTC, Tommy He
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-06 10:26 UTC, Tommy He
no flags Details
File: maps (53.80 KB, text/plain)
2014-08-06 10:26 UTC, Tommy He
no flags Details
File: open_fds (697 bytes, text/plain)
2014-08-06 10:26 UTC, Tommy He
no flags Details
File: proc_pid_status (938 bytes, text/plain)
2014-08-06 10:26 UTC, Tommy He
no flags Details
File: var_log_messages (793 bytes, text/plain)
2014-08-06 10:26 UTC, Tommy He
no flags Details
File: exploitable (73 bytes, application/octet-stream)
2014-08-06 10:26 UTC, Tommy He
no flags Details

Description Tommy He 2014-08-06 10:26:24 UTC
Description of problem:
uGet suddenly stop working.

Version-Release number of selected component:
uget-1.10.4-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        uget-gtk --http-cookie-file=/tmp/flashgot.oxqvwf35.default-1336842244346/cookies --http-referer=http://alt.fedoraproject.org/pub/alt/live-respins/ --filename=F20-x86_64-LIVE-DESK-20140703.iso --input-file=/tmp/flashgot.oxqvwf35.default-1336842244346/flashgot-1.fgt
crash_function: ug_download_list_load
executable:     /usr/bin/uget-gtk
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 ug_download_list_load at UgCategory.c:431
 #1 ug_app_load at UgApp-gtk.c:192
 #2 ug_app_init at UgApp-gtk.c:91

Comment 1 Tommy He 2014-08-06 10:26:28 UTC
Created attachment 924422 [details]
File: backtrace

Comment 2 Tommy He 2014-08-06 10:26:30 UTC
Created attachment 924423 [details]
File: cgroup

Comment 3 Tommy He 2014-08-06 10:26:31 UTC
Created attachment 924424 [details]
File: core_backtrace

Comment 4 Tommy He 2014-08-06 10:26:33 UTC
Created attachment 924425 [details]
File: dso_list

Comment 5 Tommy He 2014-08-06 10:26:34 UTC
Created attachment 924426 [details]
File: environ

Comment 6 Tommy He 2014-08-06 10:26:36 UTC
Created attachment 924427 [details]
File: limits

Comment 7 Tommy He 2014-08-06 10:26:38 UTC
Created attachment 924428 [details]
File: maps

Comment 8 Tommy He 2014-08-06 10:26:40 UTC
Created attachment 924429 [details]
File: open_fds

Comment 9 Tommy He 2014-08-06 10:26:41 UTC
Created attachment 924430 [details]
File: proc_pid_status

Comment 10 Tommy He 2014-08-06 10:26:43 UTC
Created attachment 924431 [details]
File: var_log_messages

Comment 11 Tommy He 2014-08-06 10:26:45 UTC
Created attachment 924432 [details]
File: exploitable

Comment 12 Tommy He 2014-08-06 10:32:03 UTC
Note this issue is no more once deleting the ~/config/uGet.

Comment 13 Fedora End Of Life 2015-05-29 12:34:15 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 21:57:11 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.